# Get participants for appointment

This endpoint retrieves the participants of an appointment. Developers must provide a valid `appointment_id` as a path parameter, and Zocdoc returns the participants of that appointment.

Endpoint: GET /v1/appointments/{appointment_id}/participants
Version: 1.182
Security: ClientCredentialsFlow, AuthorizationCodeFlow

## Security:

  - `ClientCredentialsFlow` (unknown)
    oauth2 scopes: external.appointment.read

  - `AuthorizationCodeFlow` (unknown)
    oauth2 scopes: external.appointment.read

## Path parameters:

  - `appointment_id` (string, required)
    The Zocdoc id of the appointment

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `request_id` (string, required)
    Unique request identifier for tracing

  - `data` (object, required)

  - `data.patient` (object, required)

  - `data.patient.patient_id` (string)
    The Zocdoc ID of the patient.

  - `data.patient.developer_patient_id` (string)
    The patient identifier provided by 3P developer.

  - `data.patient.first_name` (string, required)
    The patient's first name.

  - `data.patient.last_name` (string, required)
    The patient's last name.

  - `data.patient.date_of_birth` (string, required)
    The patient's date of birth in the format, YYYY-MM-DD.

  - `data.patient.sex_at_birth` (string, required)
    The patient's sex assigned at birth.
    Enum: "male", "female"

  - `data.patient.phone_number` (string, required)
    The patient's unformatted 10 digit phone number. The first and fourth digits cannot be a 0 or 1.
    Example: 9999999999

  - `data.patient.email_address` (string, required)
    The patient's email address.
    Example: test@example.com

  - `data.patient.patient_address` (object, required)

  - `data.patient.patient_address.address1` (string, required)
    The patient's address, line 1.

  - `data.patient.patient_address.city` (string, required)
    The patient's address, city.

  - `data.patient.patient_address.state` (string, required)
    The patient's address, two letter state code.
    Example: NY

  - `data.patient.patient_address.zip_code` (string, required)
    The patient's address, 5 digit zip code.
    Example: 36925

  - `data.patient.patient_address.address2` (string)
    The patient's address, line 2.

  - `data.patient.insurance` (object)

  - `data.patient.insurance.insurance_plan_id` (string)
    The ID of the patient's insurance plan. Use the [Get Insurance Plans](#operation/getInsurancePlans) endpoint to retrieve available plans.
    Example: ip_31820

  - `data.patient.insurance.insurance_group_number` (string)
    The patients insurance group number.

  - `data.patient.insurance.insurance_member_id` (string)
    The patients insurance card member ID.

  - `data.patient.insurance.is_self_pay` (boolean)
    Indicates is a patient is self paying

  - `data.patient.gender` (array)
    none_apply and prefer_not_to_say must be used independently, all other gender identities can be used in combination with each other.

  - `data.patient.uploaded_attachments` (array, required)
    Documents and files that have been uploaded by the patient for this appointment, such as insurance cards, ID cards, or intake forms.

  - `data.patient.uploaded_attachments.attachment_type` (string, required)
    Types of attachments that patients have uploaded and are returned in participant data.
    Enum: "insurance_card_medical", "insurance_card_dental", "insurance_card_vision", "insurance_card_secondary", "id_card", "intake_form", "community_care_packet", "pcp_patient_referral", "other"

  - `data.patient.uploaded_attachments.attachment_url` (string, required)
    A full URL to download the attachment pointing to one of auxiliary endpoints in the same API. To access the url the same authentication must be used as the one used to make the request to /participants endpoint.

  - `data.patient.uploaded_attachments.side` (string)
    Indicates whether the document image is of the front or back side. This field is typically used for documents like insurance cards or ID cards that have information on both sides.
    Enum: "front", "back"

  - `data.patient.is_booked_by_another_patient` (boolean, required)
    Indicates whether this patient's appointment was booked by another patient (e.g., a parent booking for their child or someone booking for a dependent)

  - `data.patient.main_patient_email_address` (string)
    Email of the main patient (account holder) when this patient is a sub-patient (e.g. a dependent) booked through Zocdoc. Null for main patients, and may be null for sub-patients when no main-patient email is available. email_address is unchanged.

  - `data.provider_id` (string, required)
    The Zocdoc id of the provider

  - `data.location_id` (string, required)
    The Zocdoc id of the location

## Response 400:

  - `400` (unknown)
    Invalid request parameters.

## Response 400 fields (application/json):

  - `request_id` (string, required)
    Unique request identifier for tracing

  - `error_type` (string, required)
    Enum: "api_error", "invalid_request"

  - `errors` (array, required)

  - `errors.field` (string)

  - `errors.message` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `request_id` (string, required)
    Unique request identifier for tracing

  - `error_type` (string, required)
    Enum: "api_error", "invalid_request"

  - `errors` (array, required)

  - `errors.field` (string)

  - `errors.message` (string, required)

